# HangingSign (Scissors-API 1.19.3-R0.1-SNAPSHOT API)
declaration: package: org.bukkit.block.data.type, interface: HangingSign

Package org.bukkit.block.data.type

# Interface HangingSign

All Superinterfaces:
  `Attachable`, `BlockData`, `Cloneable`, `Rotatable`, `Waterlogged`

@Experimental public interface HangingSign extends Attachable, Rotatable, Waterlogged

## Method Summary

### Methods inherited from interface org.bukkit.block.data.Attachable

`isAttached, setAttached`

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, isFaceSturdy, isPreferredTool, isRandomlyTicked, isSupported, isSupported, matches, merge`

### Methods inherited from interface org.bukkit.block.data.Rotatable

`getRotation, setRotation`

### Methods inherited from interface org.bukkit.block.data.Waterlogged

`isWaterlogged, setWaterlogged`